| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPluginRequest Class Reference
[Application Framework]

This class represents a single plugin request for csInitializer::RequestPlugins(). More...

`#include <cstool/initapp.h>`

List of all members.

## Public Member Functions
| csPluginRequest (csPluginRequest const &r)
csString | GetClassName () const
scfInterfaceID | GetInterfaceID () const
csString | GetInterfaceName () const
int | GetInterfaceVersion () const
bool | operator!= (csPluginRequest const &r) const
csPluginRequest & | operator= (csPluginRequest const &r)

## Detailed Description

This class represents a single plugin request for csInitializer::RequestPlugins().

As a shortcut, rather than constructing a csPluginRequest with individual arguments, you can use CS_REQUEST_PLUGIN() or one of its derivatives, such as CS_REQUEST_VFS. For example:

     csPluginRequest r1(CS_REQUEST_VFS);
     csPluginRequest r2(CS_REQUEST_PLUGIN("myproj.foobar",iFoobar));

Definition at line 137 of file initapp.h.

The documentation for this class was generated from the following file:

- cstool/initapp.h